Index: pykota/trunk/conf/pykota.conf.sample
===================================================================
--- pykota/trunk/conf/pykota.conf.sample (revision 2262)
+++ pykota/trunk/conf/pykota.conf.sample (revision 2265)
@@ -199,4 +199,12 @@
 logourl : http://www.librelogiciel.com/software/PyKota/pykota.png
 
+# 
+# The destination to which the web browser will be redirected
+# when you click on the logo defined above.
+# If not defined, the default URL is the same as the
+# one defined below
+logolink : http://www.librelogiciel.com/software/
+
+#
 # Mail server to use to warn users
 # If the value is not set then localhost is used.
Index: pykota/trunk/NEWS
===================================================================
--- pykota/trunk/NEWS (revision 2264)
+++ pykota/trunk/NEWS (revision 2265)
@@ -24,4 +24,7 @@
     - 1.23alpha3 :
     
+        - The destination link for the logo used in CGI scripts is 
+          configurable.
+          
         - Data dumper improved : it's faster and now datas are correctly 
           escaped.
Index: pykota/trunk/pykota/config.py
===================================================================
--- pykota/trunk/pykota/config.py (revision 2262)
+++ pykota/trunk/pykota/config.py (revision 2265)
@@ -148,4 +148,10 @@
                    "http://www.librelogiciel.com/software/PyKota/pykota.png"
         return url.strip()           
+        
+    def getLogoLink(self) :
+        """Returns the URL to go to when the user clicks on the logo in the CGI scripts."""
+        url = self.getGlobalOption("logolink", ignore=1) or \
+                   "http://www.librelogiciel.com/software/"
+        return url.strip()           
     
     def getAccounterBackend(self, printername) :    
Index: pykota/trunk/cgi-bin/printquota.cgi
===================================================================
--- pykota/trunk/cgi-bin/printquota.cgi (revision 2262)
+++ pykota/trunk/cgi-bin/printquota.cgi (revision 2265)
@@ -44,34 +44,43 @@
   </head>
   <body>
-    <form action="printquota.cgi" method="POST">
-      <table>
-        <tr>
-          <td>
-            <p>
-              <a href="http://www.librelogiciel.com/software/"><img src="%s?version=%s" alt="PyKota's Logo" /></a>
-              <br />
-              <a href="http://www.librelogiciel.com/software/">PyKota v%s</a>
-            </p>
-          </td>
-          <td colspan="2">
-            <h1>%s</h1>
-          </td>
-        </tr>
-        <tr>
-          <td colspan="3" align="center">
-            <input type="submit" name="report" value="%s" />
-          </td>
-        </tr>
-      </table>"""
+    <p>
+      <form action="printquota.cgi" method="POST">
+        <table>
+          <tr>
+            <td>
+              <p>
+                <a href="%s"><img src="%s?version=%s" alt="PyKota's Logo" /></a>
+                <br />
+                <a href="%s">PyKota v%s</a>
+              </p>
+            </td>
+            <td colspan="2">
+              <h1>%s</h1>
+            </td>
+          </tr>
+          <tr>
+            <td colspan="3" align="center">
+              <input type="submit" name="report" value="%s" />
+            </td>
+          </tr>
+        </table>"""
     
 footer = """
-      <table>
-        <tr>
-          <td colspan="3" align="center">
-            <input type="submit" name="report" value="%s" />
-          </td>
-        </tr>
-      </table>  
-    </form>
+        <table>
+          <tr>
+            <td colspan="3" align="center">
+              <input type="submit" name="report" value="%s" />
+            </td>
+          </tr>
+        </table>  
+      </form>
+    </p>
+    <hr width="25%%" />
+    <p>
+      <font size="-2">
+        <a href="http://www.librelogiciel.com/software/">%s</a>
+        &copy; 2003, 2004, 2005 %s 
+      </font>
+    </p>
   </body>
 </html>"""  
@@ -82,7 +91,12 @@
         """Displays the administrative interface."""
         global header, footer
-        print header % (self.getCharset(), _("PyKota Reports"), self.config.getLogoURL(), version.__version__, version.__version__, _("PyKota Reports"), _("Report"))
+        print header % (self.getCharset(), _("PyKota Reports"), \
+                        self.config.getLogoLink(), \
+                        self.config.getLogoURL(), version.__version__, \
+                        self.config.getLogoLink(), \
+                        version.__version__, _("PyKota Reports"), \
+                        _("Report"))
         print self.body
-        print footer % _("Report")
+        print footer % (_("Report"), version.__doc__, version.__author__)
         
     def error(self, message) :
Index: pykota/trunk/cgi-bin/pykotme.cgi
===================================================================
--- pykota/trunk/cgi-bin/pykotme.cgi (revision 2262)
+++ pykota/trunk/cgi-bin/pykotme.cgi (revision 2265)
@@ -45,34 +45,43 @@
   </head>
   <body>
-    <form action="pykotme.cgi" method="POST" enctype="multipart/form-data">
-      <table>
-        <tr>
-          <td>
-            <p>
-              <a href="http://www.librelogiciel.com/software/"><img src="%s?version=%s" alt="PyKota's Logo" /></a>
-              <br />
-              <a href="http://www.librelogiciel.com/software/">PyKota v%s</a>
-            </p>
-          </td>
-          <td colspan="2">
-            <h1>%s</h1>
-          </td>
-        </tr>
-        <tr>
-          <td colspan="3" align="center">
-            <input type="submit" name="report" value="%s" />
-          </td>
-        </tr>
-      </table>"""
+    <p>
+      <form action="pykotme.cgi" method="POST" enctype="multipart/form-data">
+        <table>
+          <tr>
+            <td>
+              <p>
+                <a href="%s"><img src="%s?version=%s" alt="PyKota's Logo" /></a>
+                <br />
+                <a href="%s">PyKota v%s</a>
+              </p>
+            </td>
+            <td colspan="2">
+              <h1>%s</h1>
+            </td>
+          </tr>
+          <tr>
+            <td colspan="3" align="center">
+              <input type="submit" name="report" value="%s" />
+            </td>
+          </tr>
+        </table>"""
     
 footer = """
-      <table>
-        <tr>
-          <td colspan="3" align="center">
-            <input type="submit" name="report" value="%s" />
-          </td>
-        </tr>
-      </table>  
-    </form>
+        <table>
+          <tr>
+            <td colspan="3" align="center">
+              <input type="submit" name="report" value="%s" />
+            </td>
+          </tr>
+        </table>  
+      </form>
+    </p>
+    <hr width="25%%" />
+    <p>
+      <font size="-2">
+        <a href="http://www.librelogiciel.com/software/">%s</a>
+        &copy; 2003, 2004, 2005 %s 
+      </font>
+    </p>
   </body>
 </html>"""  
@@ -83,7 +92,12 @@
         """Displays the administrative interface."""
         global header, footer
-        print header % (self.getCharset(), _("PyKota Reports"), self.config.getLogoURL(), version.__version__, version.__version__, _("PyKota Quotes"), _("Quote"))
+        print header % (self.getCharset(), _("PyKota Quotes"), \
+                        self.config.getLogoLink(), \
+                        self.config.getLogoURL(), version.__version__, \
+                        self.config.getLogoLink(), \
+                        version.__version__, _("PyKota Quotes"), \
+                        _("Quote"))
         print self.body
-        print footer % _("Quote")
+        print footer % (_("Quote"), version.__doc__, version.__author__)
         
     def error(self, message) :
Index: pykota/trunk/cgi-bin/dumpykota.cgi
===================================================================
--- pykota/trunk/cgi-bin/dumpykota.cgi (revision 2262)
+++ pykota/trunk/cgi-bin/dumpykota.cgi (revision 2265)
@@ -44,37 +44,46 @@
   </head>
   <body>
-    <form action="dumpykota.cgi" method="GET">
-      <table>
-        <tr>
-          <td>
-            <p>
-              <a href="http://www.librelogiciel.com/software/"><img src="%s?version=%s" alt="PyKota's Logo" /></a>
-              <br />
-              <a href="http://www.librelogiciel.com/software/">PyKota v%s</a>
-            </p>
-          </td>
-          <td colspan="2">
-            <h1>%s</h1>
-          </td>
-        </tr>
-        <tr>
-          <td colspan="3" align="center">
-            <input type="submit" name="report" value="%s" />
-          </td>
-        </tr>
-      </table>
-      <p>
-        %s
-      </p>"""
+    <p>
+      <form action="dumpykota.cgi" method="GET">
+        <table>
+          <tr>
+            <td>
+              <p>
+                <a href="%s"><img src="%s?version=%s" alt="PyKota's Logo" /></a>
+                <br />
+                <a href="%s">PyKota v%s</a>
+              </p>
+            </td>
+            <td colspan="2">
+              <h1>%s</h1>
+            </td>
+          </tr>
+          <tr>
+            <td colspan="3" align="center">
+              <input type="submit" name="report" value="%s" />
+            </td>
+          </tr>
+        </table>
+        <p>
+          %s
+        </p>"""
     
 footer = """
-      <table>
-        <tr>
-          <td colspan="3" align="center">
-            <input type="submit" name="report" value="%s" />
-          </td>
-        </tr>
-      </table>  
-    </form>
+        <table>
+          <tr>
+            <td colspan="3" align="center">
+              <input type="submit" name="report" value="%s" />
+            </td>
+          </tr>
+        </table>  
+      </form>
+    </p>  
+    <hr width="25%%" />
+    <p>
+      <font size="-2">
+        <a href="http://www.librelogiciel.com/software/">%s</a>
+        &copy; 2003, 2004, 2005 %s 
+      </font>
+    </p>
   </body>
 </html>"""  
@@ -85,5 +94,10 @@
         """Displays the dumper interface."""
         global header, footer
-        print header % (self.getCharset(), _("PyKota Data Dumper"), self.config.getLogoURL(), version.__version__, version.__version__, _("PyKota Data Dumper"), _("Dump"), _("Please click on the above button"))
+        print header % (self.getCharset(), _("PyKota Data Dumper"), \
+                        self.config.getLogoLink(), \
+                        self.config.getLogoURL(), version.__version__, \
+                        self.config.getLogoLink(), \
+                        version.__version__, _("PyKota Data Dumper"), \
+                        _("Dump"), _("Please click on the above button"))
         print self.htmlListDataTypes(self.options.get("data", "")) 
         print "<br />"
@@ -91,5 +105,5 @@
         print "<br />"
         print self.htmlFilterInput(" ".join(self.arguments))
-        print footer % _("Dump")
+        print footer % (_("Dump"), version.__doc__, version.__author__)
         
     def htmlListDataTypes(self, selected="") :    