Index: pykota/trunk/man/pt/autopykota.1
===================================================================
--- pykota/trunk/man/pt/autopykota.1 (revision 2237)
+++ pykota/trunk/man/pt/autopykota.1 (revision 2267)
@@ -2,7 +2,8 @@
 .TH AUTOPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.22_unofficial
+autopykota \- page de manuel de autopykota 1.23alpha4_unofficial
 .SH DESCRIPTION
-autopykota v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+autopykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+.PP
 A tool to automate user account creation and initial balance setting.
 .PP
Index: pykota/trunk/man/pt/edpykota.1
===================================================================
--- pykota/trunk/man/pt/edpykota.1 (revision 2237)
+++ pykota/trunk/man/pt/edpykota.1 (revision 2267)
@@ -2,7 +2,8 @@
 .TH EDPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.22_unofficial
+edpykota \- page de manuel de edpykota 1.23alpha4_unofficial
 .SH DESCRIPTION
-edpykota v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+edpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+.PP
 A Print Quota editor for PyKota.
 .PP
Index: pykota/trunk/man/pt/pkbanner.1
===================================================================
--- pykota/trunk/man/pt/pkbanner.1 (revision 2237)
+++ pykota/trunk/man/pt/pkbanner.1 (revision 2267)
@@ -2,7 +2,7 @@
 .TH PKBANNER "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.22_unofficial
+pkbanner \- page de manuel de pkbanner 1.23alpha4_unofficial
 .SH DESCRIPTION
-pkbanner v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+pkbanner v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
Index: pykota/trunk/man/pt/pkprinters.1
===================================================================
--- pykota/trunk/man/pt/pkprinters.1 (revision 2237)
+++ pykota/trunk/man/pt/pkprinters.1 (revision 2267)
@@ -2,7 +2,8 @@
 .TH PKPRINTERS "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.22_unofficial
+pkprinters \- page de manuel de pkprinters 1.23alpha4_unofficial
 .SH DESCRIPTION
-pkprinters v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+pkprinters v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+.PP
 A Printers Manager for PyKota.
 .PP
Index: pykota/trunk/man/pt/pykotme.1
===================================================================
--- pykota/trunk/man/pt/pykotme.1 (revision 2237)
+++ pykota/trunk/man/pt/pykotme.1 (revision 2267)
@@ -2,7 +2,7 @@
 .TH PYKOTME "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.22_unofficial
+pykotme \- page de manuel de pykotme 1.23alpha4_unofficial
 .SH DESCRIPTION
-pykotme v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+pykotme v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/pt/pykosd.1
===================================================================
--- pykota/trunk/man/pt/pykosd.1 (revision 2237)
+++ pykota/trunk/man/pt/pykosd.1 (revision 2267)
@@ -2,7 +2,8 @@
 .TH PYKOSD "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.22_unofficial
+pykosd \- page de manuel de pykosd 1.23alpha4_unofficial
 .SH DESCRIPTION
-pykosd v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+pykosd v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+.PP
 An OSD quota monitor for PyKota.
 .PP
Index: pykota/trunk/man/pt/dumpykota.1
===================================================================
--- pykota/trunk/man/pt/dumpykota.1 (revision 2266)
+++ pykota/trunk/man/pt/dumpykota.1 (revision 2267)
@@ -4,5 +4,5 @@
 dumpykota \- page de manuel de dumpykota 1.23alpha4_unofficial
 .SH DESCRIPTION
-dumpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+dumpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
Index: pykota/trunk/man/pt/pkhint.1
===================================================================
--- pykota/trunk/man/pt/pkhint.1 (revision 2237)
+++ pykota/trunk/man/pt/pkhint.1 (revision 2267)
@@ -2,7 +2,8 @@
 .TH PKHINT "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkhint \- page de manuel de pkhint 1.22_unofficial
+pkhint \- page de manuel de pkhint 1.23alpha4_unofficial
 .SH DESCRIPTION
-pkhint v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+pkhint v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+.PP
 A tool to give hints on what accounting method is best for each printer.
 .PP
Index: pykota/trunk/man/pt/pkmail.1
===================================================================
--- pykota/trunk/man/pt/pkmail.1 (revision 2237)
+++ pykota/trunk/man/pt/pkmail.1 (revision 2267)
@@ -2,7 +2,7 @@
 .TH PKMAIL "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.22_unofficial
+pkmail \- page de manuel de pkmail 1.23alpha4_unofficial
 .SH DESCRIPTION
-pkmail v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+pkmail v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
Index: pykota/trunk/man/pt/repykota.1
===================================================================
--- pykota/trunk/man/pt/repykota.1 (revision 2237)
+++ pykota/trunk/man/pt/repykota.1 (revision 2267)
@@ -2,7 +2,7 @@
 .TH REPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.22_unofficial
+repykota \- page de manuel de repykota 1.23alpha4_unofficial
 .SH DESCRIPTION
-repykota v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+repykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/pt/warnpykota.1
===================================================================
--- pykota/trunk/man/pt/warnpykota.1 (revision 2237)
+++ pykota/trunk/man/pt/warnpykota.1 (revision 2267)
@@ -2,7 +2,7 @@
 .TH WARNPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.22_unofficial
+warnpykota \- page de manuel de warnpykota 1.23alpha4_unofficial
 .SH DESCRIPTION
-warnpykota v1.22_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
+warnpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Sends mail to users over print quota.