Index: pykota/trunk/man/th/autopykota.1
===================================================================
--- pykota/trunk/man/th/autopykota.1 (revision 2267)
+++ pykota/trunk/man/th/autopykota.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH AUTOPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH AUTOPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.23alpha4_unofficial
+autopykota \- page de manuel de autopykota 1.23alpha8_unofficial
 .SH DESCRIPTION
-autopykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+autopykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to automate user account creation and initial balance setting.
@@ -41,5 +41,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/edpykota.1
===================================================================
--- pykota/trunk/man/th/edpykota.1 (revision 2267)
+++ pykota/trunk/man/th/edpykota.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH EDPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH EDPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.23alpha4_unofficial
+edpykota \- page de manuel de edpykota 1.23alpha8_unofficial
 .SH DESCRIPTION
-edpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+edpykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Print Quota editor for PyKota.
@@ -228,5 +228,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/pkbanner.1
===================================================================
--- pykota/trunk/man/th/pkbanner.1 (revision 2267)
+++ pykota/trunk/man/th/pkbanner.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKBANNER "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKBANNER "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.23alpha4_unofficial
+pkbanner \- page de manuel de pkbanner 1.23alpha8_unofficial
 .SH DESCRIPTION
-pkbanner v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkbanner v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
@@ -69,5 +69,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/pkprinters.1
===================================================================
--- pykota/trunk/man/th/pkprinters.1 (revision 2267)
+++ pykota/trunk/man/th/pkprinters.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKPRINTERS "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPRINTERS "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.23alpha4_unofficial
+pkprinters \- page de manuel de pkprinters 1.23alpha8_unofficial
 .SH DESCRIPTION
-pkprinters v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkprinters v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Printers Manager for PyKota.
@@ -104,5 +104,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/pykotme.1
===================================================================
--- pykota/trunk/man/th/pykotme.1 (revision 2267)
+++ pykota/trunk/man/th/pykotme.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PYKOTME "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOTME "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.23alpha4_unofficial
+pykotme \- page de manuel de pykotme 1.23alpha8_unofficial
 .SH DESCRIPTION
-pykotme v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykotme v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Gives print quotes to users.
@@ -62,5 +62,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/pykosd.1
===================================================================
--- pykota/trunk/man/th/pykosd.1 (revision 2267)
+++ pykota/trunk/man/th/pykosd.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PYKOSD "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOSD "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.23alpha4_unofficial
+pykosd \- page de manuel de pykosd 1.23alpha8_unofficial
 .SH DESCRIPTION
-pykosd v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykosd v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 An OSD quota monitor for PyKota.
@@ -60,5 +60,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/dumpykota.1
===================================================================
--- pykota/trunk/man/th/dumpykota.1 (revision 2267)
+++ pykota/trunk/man/th/dumpykota.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH DUMPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH DUMPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.23alpha4_unofficial
+dumpykota \- page de manuel de dumpykota 1.23alpha8_unofficial
 .SH DESCRIPTION
-dumpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
@@ -55,4 +55,8 @@
 is the default value and means stdout.
 WARNING : existing files are truncated !
+.TP
+\fB\-s\fR | \fB\-\-sum\fR
+Summarize the selected datas.
+ONLY AVAILABLE WITH \fB\-\-data\fR history or payments
 .IP
 Use the filter expressions to extract only parts of the
@@ -125,5 +129,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/pkhint.1
===================================================================
--- pykota/trunk/man/th/pkhint.1 (revision 2267)
+++ pykota/trunk/man/th/pkhint.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKHINT "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKHINT "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkhint \- page de manuel de pkhint 1.23alpha4_unofficial
+pkhint \- page de manuel de pkhint 1.23alpha8_unofficial
 .SH DESCRIPTION
-pkhint v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkhint v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to give hints on what accounting method is best for each printer.
@@ -43,5 +43,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/pkmail.1
===================================================================
--- pykota/trunk/man/th/pkmail.1 (revision 2267)
+++ pykota/trunk/man/th/pkmail.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKMAIL "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKMAIL "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.23alpha4_unofficial
+pkmail \- page de manuel de pkmail 1.23alpha8_unofficial
 .SH DESCRIPTION
-pkmail v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkmail v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
@@ -59,5 +59,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/repykota.1
===================================================================
--- pykota/trunk/man/th/repykota.1 (revision 2267)
+++ pykota/trunk/man/th/repykota.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH REPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH REPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.23alpha4_unofficial
+repykota \- page de manuel de repykota 1.23alpha8_unofficial
 .SH DESCRIPTION
-repykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+repykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates print quota reports.
@@ -67,5 +67,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/th/warnpykota.1
===================================================================
--- pykota/trunk/man/th/warnpykota.1 (revision 2267)
+++ pykota/trunk/man/th/warnpykota.1 (revision 2303)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH WARNPYKOTA "1" "mai 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH WARNPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.23alpha4_unofficial
+warnpykota \- page de manuel de warnpykota 1.23alpha8_unofficial
 .SH DESCRIPTION
-warnpykota v1.23alpha4_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+warnpykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Sends mail to users over print quota.
@@ -72,5 +72,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
 Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com