Index: pykota/trunk/man/sv_SE/autopykota.1
===================================================================
--- pykota/trunk/man/sv_SE/autopykota.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/autopykota.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH AUTOPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH AUTOPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.23alpha8_unofficial
+autopykota \- page de manuel de autopykota 1.23alpha15_unofficial
 .SH DESCRIPTION
-autopykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+autopykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to automate user account creation and initial balance setting.
Index: pykota/trunk/man/sv_SE/edpykota.1
===================================================================
--- pykota/trunk/man/sv_SE/edpykota.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/edpykota.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH EDPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH EDPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.23alpha8_unofficial
+edpykota \- page de manuel de edpykota 1.23alpha15_unofficial
 .SH DESCRIPTION
-edpykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+edpykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Print Quota editor for PyKota.
Index: pykota/trunk/man/sv_SE/pkbanner.1
===================================================================
--- pykota/trunk/man/sv_SE/pkbanner.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/pkbanner.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKBANNER "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKBANNER "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.23alpha8_unofficial
+pkbanner \- page de manuel de pkbanner 1.23alpha15_unofficial
 .SH DESCRIPTION
-pkbanner v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkbanner v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
Index: pykota/trunk/man/sv_SE/pkprinters.1
===================================================================
--- pykota/trunk/man/sv_SE/pkprinters.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/pkprinters.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKPRINTERS "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPRINTERS "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.23alpha8_unofficial
+pkprinters \- page de manuel de pkprinters 1.23alpha15_unofficial
 .SH DESCRIPTION
-pkprinters v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkprinters v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Printers Manager for PyKota.
Index: pykota/trunk/man/sv_SE/pykotme.1
===================================================================
--- pykota/trunk/man/sv_SE/pykotme.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/pykotme.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PYKOTME "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOTME "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.23alpha8_unofficial
+pykotme \- page de manuel de pykotme 1.23alpha15_unofficial
 .SH DESCRIPTION
-pykotme v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykotme v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/sv_SE/pykosd.1
===================================================================
--- pykota/trunk/man/sv_SE/pykosd.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/pykosd.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PYKOSD "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOSD "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.23alpha8_unofficial
+pykosd \- page de manuel de pykosd 1.23alpha15_unofficial
 .SH DESCRIPTION
-pykosd v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykosd v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 An OSD quota monitor for PyKota.
Index: pykota/trunk/man/sv_SE/dumpykota.1
===================================================================
--- pykota/trunk/man/sv_SE/dumpykota.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/dumpykota.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH DUMPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH DUMPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.23alpha8_unofficial
+dumpykota \- page de manuel de dumpykota 1.23alpha15_unofficial
 .SH DESCRIPTION
-dumpykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
@@ -32,4 +32,5 @@
 \- pmembers : dumps printer groups members.
 \- umembers : dumps user groups members.
+\- billingcodes : dumps billing codes.
 .IP
 NB : the \fB\-d\fR | \fB\-\-data\fR command line option
Index: pykota/trunk/man/sv_SE/pkhint.1
===================================================================
--- pykota/trunk/man/sv_SE/pkhint.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/pkhint.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKHINT "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKHINT "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkhint \- page de manuel de pkhint 1.23alpha8_unofficial
+pkhint \- page de manuel de pkhint 1.23alpha15_unofficial
 .SH DESCRIPTION
-pkhint v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkhint v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to give hints on what accounting method is best for each printer.
Index: pykota/trunk/man/sv_SE/pkmail.1
===================================================================
--- pykota/trunk/man/sv_SE/pkmail.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/pkmail.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH PKMAIL "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKMAIL "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.23alpha8_unofficial
+pkmail \- page de manuel de pkmail 1.23alpha15_unofficial
 .SH DESCRIPTION
-pkmail v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkmail v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
Index: pykota/trunk/man/sv_SE/repykota.1
===================================================================
--- pykota/trunk/man/sv_SE/repykota.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/repykota.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH REPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH REPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.23alpha8_unofficial
+repykota \- page de manuel de repykota 1.23alpha15_unofficial
 .SH DESCRIPTION
-repykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+repykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/sv_SE/warnpykota.1
===================================================================
--- pykota/trunk/man/sv_SE/warnpykota.1 (revision 2303)
+++ pykota/trunk/man/sv_SE/warnpykota.1 (revision 2342)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
-.TH WARNPYKOTA "1" "juin 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH WARNPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.23alpha8_unofficial
+warnpykota \- page de manuel de warnpykota 1.23alpha15_unofficial
 .SH DESCRIPTION
-warnpykota v1.23alpha8_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+warnpykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Sends mail to users over print quota.