Index: pykota/trunk/man/tr/autopykota.1
===================================================================
--- pykota/trunk/man/tr/autopykota.1 (revision 2342)
+++ pykota/trunk/man/tr/autopykota.1 (revision 2344)
@@ -2,44 +2,44 @@
 .TH AUTOPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.23alpha15_unofficial
+autopykota \- page de manuel de autopykota 1.23alpha16_unofficial
 .SH DESCRIPTION
-autopykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+autopykota v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
-Kullanıcı hesapları oluşumunu otomatikleştirme ve başlangıç hesap ayarları için araç.
+A tool to automate user account creation and initial balance setting.
 .PP
-BU ARAÇ KULLANICILARINIZI SAYFA KOTASI İLE SINIRLAMAK İÇİN KULLANILMAMALIDIR !
+THIS TOOL MUST NOT BE USED IF YOU WANT TO LIMIT YOUR USERS BY PAGE QUOTA !
 .PP
-komut satırı kullanımı :
-.TP
-BU ARAÇ KOMUT SATIRINDAN KULLANILMAMALIDIR FAKAT SADECE
-pykota.conf İÇİNDE external policy OLARAK KULLANILABİLİR
+command line usage :
 .IP
-autopykota { \fB\-i\fR | \fB\-\-initbalance\fR değer }
+THIS TOOL MUST NOT BE USED FROM THE COMMAND LINE BUT ONLY AS PART
+OF AN external policy IN pykota.conf
+.IP
+autopykota { \fB\-i\fR | \fB\-\-initbalance\fR value }
 .PP
-seçenekler :
+options :
 .TP
 \fB\-v\fR | \fB\-\-version\fR
-autopykota'nın sürüm numarasını yazar ve çıkar.
+Prints autopykota's version number then exits.
 .TP
 \fB\-h\fR | \fB\-\-help\fR
-bu mesajı yazar ve çıkar.
+Prints this message then exits.
 .TP
-\fB\-i\fR | \fB\-\-initbalance\fR b Kullanıcının başlangıç hesabını b değeri olarak atar.
-Eğer kullanıcı zaten varsa, mevcut hesap değişmeden kalır.
-Eğer yok ise öntanımlı değer 0'dır.
+\fB\-i\fR | \fB\-\-initbalance\fR b Sets the user's account initial balance value to b.
+If the user already exists, actual balance is left
+unmodified. If unset, the default value is 0.
 .PP
-Bu program özgür yazılımdır; bu yazılımı Özgür Yazılım Vakfı tarafından
-yayınlanan GNU Genel Kamu Lisansı'nın 2. sürümü ya da (kendi
-tercihinize bağlı) sonraki sürümü şartları altında yeniden dağıtabilir
-ve/ya da değiştirebilirsiniz.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 .PP
-Bu program faydalı olacağı düşünülerek dağıtılmaktadır, fakat HİÇBİR
-GARANTİSİ YOKTUR; BELLİ BİR AMACA UYGUNLUK ya da MAL
-DEĞERİ gibi garantileri de yoktur.  Daha fazla ayrıntı için GNU Genel
-Kamu Lisansını okuyun.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
 .PP
-GNU Genel Kamu Lisansının bir nüshasını programla birlikte almış
-olmalısınız, eğer almadıysanız Özgür Yazılım Vakfı'na 59 Temple Place,
-Suite 330, Boston, MA 02110\-1301, USA adresinden ulaşın.
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Lütfen hataları Jerome Alet \- alet@librelogiciel.com adresine mektupla bildirin
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/edpykota.1
===================================================================
--- pykota/trunk/man/tr/edpykota.1 (revision 2342)
+++ pykota/trunk/man/tr/edpykota.1 (revision 2344)
@@ -2,7 +2,7 @@
 .TH EDPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.23alpha15_unofficial
+edpykota \- page de manuel de edpykota 1.23alpha16_unofficial
 .SH DESCRIPTION
-edpykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+edpykota v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Print Quota editor for PyKota.
@@ -230,3 +230,3 @@
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkbanner.1
===================================================================
--- pykota/trunk/man/tr/pkbanner.1 (revision 2342)
+++ pykota/trunk/man/tr/pkbanner.1 (revision 2344)
@@ -2,7 +2,7 @@
 .TH PKBANNER "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.23alpha15_unofficial
+pkbanner \- page de manuel de pkbanner 1.23alpha16_unofficial
 .SH DESCRIPTION
-pkbanner v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkbanner v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
@@ -71,3 +71,3 @@
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkprinters.1
===================================================================
--- pykota/trunk/man/tr/pkprinters.1 (revision 2342)
+++ pykota/trunk/man/tr/pkprinters.1 (revision 2344)
@@ -2,7 +2,7 @@
 .TH PKPRINTERS "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.23alpha15_unofficial
+pkprinters \- page de manuel de pkprinters 1.23alpha16_unofficial
 .SH DESCRIPTION
-pkprinters v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkprinters v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Printers Manager for PyKota.
@@ -106,3 +106,3 @@
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pykotme.1
===================================================================
--- pykota/trunk/man/tr/pykotme.1 (revision 2342)
+++ pykota/trunk/man/tr/pykotme.1 (revision 2344)
@@ -2,36 +2,36 @@
 .TH PYKOTME "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.23alpha15_unofficial
+pykotme \- page de manuel de pykotme 1.23alpha16_unofficial
 .SH DESCRIPTION
-pykotme v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykotme v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
-Kullanıcılara kota verir.
+Gives print quotes to users.
 .PP
-komut satırı kullanımı :
+command line usage :
 .TP
 pykotme
-[seçenekler]  [dosyalar]
+[options]  [files]
 .PP
-seçenekler :
+options :
 .TP
 \fB\-v\fR | \fB\-\-version\fR
-pykotme'nin sürüm numarasını gösterir ve çıkar.
+Prints pykotme's version number then exits.
 .TP
 \fB\-h\fR | \fB\-\-help\fR
-Bu mesaji gösterir ve çıkar.
+Prints this message then exits.
 .TP
 \fB\-P\fR | \fB\-\-printer\fR p
-Sadece bu yazıcı için kota verir. p maske
-karakterlerini birden fazla yazıcı belirtmek için
-içerebilir. Öntanımlı değer *'dır, tüm yazıcılar
-anlamına gelir.
-Virgül ile ayırarak birden fazla yazıcı ve maske
-kullanabilirsiniz.
+Gives a quote for this printer only. Actually p can
+use wildcards characters to select only
+some printers. The default value is *, meaning
+all printers.
+You can specify several names or wildcards,
+by separating them with commas.
 .PP
-örnekler :
+examples :
 .IP
 \f(CW$ pykotme --printer apple file1.ps file2.ps\fR
 .IP
-Mevcut kullanıcıya kota verir. Kota ücreti ve isin boyutu
+This will give a print quote to the current user. The quote will show
 the price and size of a job consisting in file1.ps and file2.ps
 which would be sent to the apple printer.
@@ -39,26 +39,28 @@
 \f(CW$ pykotme --printer apple,hplaser <file1.ps\fR
 .IP
-Bu mevcut kullanıcının baskı bilgisini yazdırır. Bilgiler
-apple ve hplaser yazıcılarına gönderilirse, standart girdiden
-okunacak file1.ps için iş ücreti ve işin boyutunu gösterir.
+This will give a print quote to the current user. The quote will show
+the price and size of a job consisting in file1.ps as read from
+standard input, which would be sent to the apple or hplaser
+printer.
 .IP
 \f(CW$ pykotme\fR
 .IP
-Standart girdideki işin hakkında bilgi gösterir. Bilgi işin boyutunu
-ücretini ve her yazıcı için ne kadar tutacağını içerir.
+This will give a quote for a job consisting of what is on standard
+input. The quote will list the job size, and the price the job
+would cost on each printer.
 .PP
-Bu program özgür yazılımdır; bu yazılımı Özgür Yazılım Vakfı tarafından
-yayınlanan GNU Genel Kamu Lisansı'nın 2. sürümü ya da (kendi
-tercihinize bağlı) sonraki sürümü şartları altında yeniden dağıtabilir
-ve/ya da değiştirebilirsiniz.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 .PP
-Bu program faydalı olacağı düşünülerek dağıtılmaktadır, fakat HİÇBİR
-GARANTİSİ YOKTUR; BELLİ BİR AMACA UYGUNLUK ya da MAL
-DEĞERİ gibi garantileri de yoktur.  Daha fazla ayrıntı için GNU Genel
-Kamu Lisansını okuyun.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
 .PP
-GNU Genel Kamu Lisansının bir nüshasını programla birlikte almış
-olmalısınız, eğer almadıysanız Özgür Yazılım Vakfı'na 59 Temple Place,
-Suite 330, Boston, MA 02110\-1301, USA adresinden ulaşın.
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Lütfen hataları Jerome Alet \- alet@librelogiciel.com adresine mektupla bildirin
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pykosd.1
===================================================================
--- pykota/trunk/man/tr/pykosd.1 (revision 2342)
+++ pykota/trunk/man/tr/pykosd.1 (revision 2344)
@@ -2,63 +2,63 @@
 .TH PYKOSD "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.23alpha15_unofficial
+pykosd \- page de manuel de pykosd 1.23alpha16_unofficial
 .SH DESCRIPTION
-pykosd v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pykosd v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
-PyKota için bir OSD kota izleyicisi.
+An OSD quota monitor for PyKota.
 .PP
-komut satırı kullanımı :
+command line usage :
 .IP
-pykosd [seçenekler]
+pykosd [options]
 .PP
-seçenekler :
+options :
 .TP
 \fB\-v\fR | \fB\-\-version\fR
-pykosd'nin sürüm numarasını yazar ve çıkar.
+Prints pykosd's version number then exits.
 .TP
 \fB\-h\fR | \fB\-\-help\fR
-Bu mesajı yazar ve çıkar.
+Prints this message then exits.
 .TP
-\fB\-c\fR | \fB\-\-color\fR #rrggbb onaltılı üçlü olarak arkaplan rengini ayarlar
-örneğin #FF0000 değeri 100% kırmızı yapar.
-Öntanımlı 100% yeşildir (#00FF00).
+\fB\-c\fR | \fB\-\-color\fR #rrggbb Sets the color to use for display as an hexadecimal
+triplet, for example #FF0000 is 100% red.
+Defaults to 100% green (#00FF00).
 .TP
 \fB\-d\fR | \fB\-\-duration\fR d
-Saniye olarak gösterim süresini belirtir.
-Öntanımlı 3 saniyedir.
+Sets the duration of the display in seconds.
+Defaults to 3 seconds.
 .TP
 \fB\-f\fR | \fB\-\-font\fR f
-Gösterim için kullanılacak yazıtipini ayarlar.
-Öntanımlı Python OSD kütüphanesinin öntanımlısıdır.
+Sets the font to use for display.
+Defaults to the Python OSD library's default.
 .TP
 \fB\-l\fR | \fB\-\-loop\fR n
-Bilginin kaç kere gösterileceğini ayarlar.
-Öntanımlı 0'dır, sonsuza kadar döngü yapılacaıını belirtir.
+Sets the number of times the info will be displayed.
+Defaults to 0, which means loop forever.
 .TP
 \fB\-s\fR | \fB\-\-sleep\fR s
-Saniye cinsinden iki gösterim arasında beklenecek
-süreyi ayarlar. Öntanımlı 180 saniyedir (3 dakika).
+Sets the sleeping duration between two displays
+in seconds. Defaults to 180 seconds (3 minutes).
 .PP
-örnekler :
+examples :
 .IP
 \f(CW$ pykosd -s 60 --loop 5\fR
 .IP
-pykosd'yi başlatır. Gösterim her 60 saniyede tazelenir,
-ve her defasında 3 saniye sonunda (ön tanımlı) sona erer. Beş
-tekrardan sonra çıkar.
+Will launch pykosd. Display will be refreshed every 60 seconds,
+and will last for 3 seconds (the default) each time. After five
+iterations, the program will exit.
 .PP
-Bu program özgür yazılımdır; bu yazılımı Özgür Yazılım Vakfı tarafından
-yayınlanan GNU Genel Kamu Lisansı'nın 2. sürümü ya da (kendi
-tercihinize bağlı) sonraki sürümü şartları altında yeniden dağıtabilir
-ve/ya da değiştirebilirsiniz.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 .PP
-Bu program faydalı olacağı düşünülerek dağıtılmaktadır, fakat HİÇBİR
-GARANTİSİ YOKTUR; BELLİ BİR AMACA UYGUNLUK ya da MAL
-DEĞERİ gibi garantileri de yoktur.  Daha fazla ayrıntı için GNU Genel
-Kamu Lisansını okuyun.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
 .PP
-GNU Genel Kamu Lisansının bir nüshasını programla birlikte almış
-olmalısınız, eğer almadıysanız Özgür Yazılım Vakfı'na 59 Temple Place,
-Suite 330, Boston, MA 02110\-1301, USA adresinden ulaşın.
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Lütfen hataları Jerome Alet \- alet@librelogiciel.com adresine mektupla bildirin
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/dumpykota.1
===================================================================
--- pykota/trunk/man/tr/dumpykota.1 (revision 2342)
+++ pykota/trunk/man/tr/dumpykota.1 (revision 2344)
@@ -2,7 +2,7 @@
 .TH DUMPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.23alpha15_unofficial
+dumpykota \- page de manuel de dumpykota 1.23alpha16_unofficial
 .SH DESCRIPTION
-dumpykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
@@ -132,3 +132,3 @@
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkhint.1
===================================================================
--- pykota/trunk/man/tr/pkhint.1 (revision 2342)
+++ pykota/trunk/man/tr/pkhint.1 (revision 2344)
@@ -2,46 +2,46 @@
 .TH PKHINT "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkhint \- page de manuel de pkhint 1.23alpha15_unofficial
+pkhint \- page de manuel de pkhint 1.23alpha16_unofficial
 .SH DESCRIPTION
-pkhint v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkhint v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
-Her yazıcı için hangi hesaplama metodunun uygun olacaıı hakkında ipucu veren bir araç.
+A tool to give hints on what accounting method is best for each printer.
 .PP
-komut satırı kullanımı :
+command line usage :
 .IP
-pkhint [seçenekler] [yazıcı1 yazıcı2 yazıcı3 ... yazıcıN] <file.conf
+pkhint [options] [printer1 printer2 printer3 ... printerN] <file.conf
 .PP
-seçenekler :
+options :
 .TP
 \fB\-v\fR | \fB\-\-version\fR
-pkhint'in sürüm numarasını gösterir ve çıkar.
+Prints pkhint's version number then exits.
 .TP
 \fB\-h\fR | \fB\-\-help\fR
-Bu mesaji gösterir ve çıkar.
+Prints this message then exits.
 .PP
-örnekler :
+examples :
 .IP
-\f(CW$ pkhint "hp*" yazici103 </etc/cups/printers.conf\fR
+\f(CW$ pkhint "hp*" printer103 </etc/cups/printers.conf\fR
 .IP
-Parametrelerde belirtilen isim ile eşleşen yazıcılar için
-hangi metodun uygun olduğunu sınamak için
-yazma sisteminizi inceler.
+Will analyze your printing system to test which accounter
+is the best for each of the defined printer which
+name matches one of the parameters.
 .IP
-Eğer komut satırında hiçbir parametre belirtmezseniz, tüm
-yazıcılar incelenecektir.
+If you don't pass any argument on the command line, all
+printers will be analyzed.
 .PP
-Bu program özgür yazılımdır; bu yazılımı Özgür Yazılım Vakfı tarafından
-yayınlanan GNU Genel Kamu Lisansı'nın 2. sürümü ya da (kendi
-tercihinize bağlı) sonraki sürümü şartları altında yeniden dağıtabilir
-ve/ya da değiştirebilirsiniz.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 .PP
-Bu program faydalı olacağı düşünülerek dağıtılmaktadır, fakat HİÇBİR
-GARANTİSİ YOKTUR; BELLİ BİR AMACA UYGUNLUK ya da MAL
-DEĞERİ gibi garantileri de yoktur.  Daha fazla ayrıntı için GNU Genel
-Kamu Lisansını okuyun.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
 .PP
-GNU Genel Kamu Lisansının bir nüshasını programla birlikte almış
-olmalısınız, eğer almadıysanız Özgür Yazılım Vakfı'na 59 Temple Place,
-Suite 330, Boston, MA 02110\-1301, USA adresinden ulaşın.
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Lütfen hataları Jerome Alet \- alet@librelogiciel.com adresine mektupla bildirin
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkmail.1
===================================================================
--- pykota/trunk/man/tr/pkmail.1 (revision 2342)
+++ pykota/trunk/man/tr/pkmail.1 (revision 2344)
@@ -2,7 +2,7 @@
 .TH PKMAIL "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.23alpha15_unofficial
+pkmail \- page de manuel de pkmail 1.23alpha16_unofficial
 .SH DESCRIPTION
-pkmail v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+pkmail v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
@@ -61,3 +61,3 @@
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/repykota.1
===================================================================
--- pykota/trunk/man/tr/repykota.1 (revision 2342)
+++ pykota/trunk/man/tr/repykota.1 (revision 2344)
@@ -2,70 +2,70 @@
 .TH REPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.23alpha15_unofficial
+repykota \- page de manuel de repykota 1.23alpha16_unofficial
 .SH DESCRIPTION
-repykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+repykota v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
-Yacıcı kotası raporları oluşturur.
+Generates print quota reports.
 .PP
-komut satırı kullanımı :
+command line usage :
 .IP
-repykota [seçenekler]
+repykota [options]
 .PP
-seçenekler :
+options :
 .TP
 \fB\-v\fR | \fB\-\-version\fR
-repykota'nın sürüm numarasını gösterir ve çıkar.
+Prints repykota's version number then exits.
 .TP
 \fB\-h\fR | \fB\-\-help\fR
-Bu mesaji gösterir ve çıkar.
+Prints this message then exits.
 .TP
 \fB\-u\fR | \fB\-\-users\fR
-Kullanıcı kotaları üzerine bir rapor oluşturur, bu
-öntanımlıdır.
+Generates a report on users quota, this is
+the default.
 .TP
 \fB\-g\fR | \fB\-\-groups\fR
-Kullanıcılar yerine grup kotaları üzerine rapor oluşturur.
+Generates a report on group quota instead of users.
 .TP
 \fB\-P\fR | \fB\-\-printer\fR p
-Sadece bu yazıcı üzerindeki kotaları raporlar. p maske
-karakterleri kullanarak sadece bazı yazıcıları seçebilir.
-Öntanımlı değer *'dır, tüm yazıcılar
-anlamına gelir.
-Virgül ile ayırarak birden fazla isim ya da maske
-kullanabilirsiniz.
+Report quotas on this printer only. Actually p can
+use wildcards characters to select only
+some printers. The default value is *, meaning
+all printers.
+You can specify several names or wildcards,
+by separating them with commas.
 .PP
-örnekler :
+examples :
 .IP
 \f(CW$ repykota --printer lp\fR
 .IP
-Bu lp yazıcısını kullanan tüm kullanıcıların kota durumlarını bildirir.
+This will print the quota status for all users who use the lp printer.
 .IP
 \f(CW$ repykota\fR
 .IP
-Bu tüm yacıcıların kullanıcıların kota durumlarını bildirir.
+This will print the quota status for all users on all printers.
 .IP
 \f(CW$ repykota --printer "laser*,*pson" jerome "jo*"\fR
 .IP
-Bu adı "laser" ile başlayan ya da "pson" ile biten tüm yazıcılar
-üzerinde adı "jo" ile başlayan ve adı jerome olan kullanıcıların kota
-durumlarını bildirir.
+This will print the quota status for user jerome and all users
+whose name begins with "jo" on all printers which name begins
+with "laser" or ends with "pson".
 .IP
-Eğer PyKota yöneticisi olmayan bir kullanıcı tarafından başlatılırsa,
-kullanıcı ve grup adlarını belirten parametreler yok sayılır, sadece mevcut
-kullanıcı ve grup hakkında bildirim yapılır.
+If launched by an user who is not a PyKota administrator, additionnal
+arguments representing users or groups names are ignored, and only the
+current user/group is reported.
 .PP
-Bu program özgür yazılımdır; bu yazılımı Özgür Yazılım Vakfı tarafından
-yayınlanan GNU Genel Kamu Lisansı'nın 2. sürümü ya da (kendi
-tercihinize bağlı) sonraki sürümü şartları altında yeniden dağıtabilir
-ve/ya da değiştirebilirsiniz.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 .PP
-Bu program faydalı olacağı düşünülerek dağıtılmaktadır, fakat HİÇBİR
-GARANTİSİ YOKTUR; BELLİ BİR AMACA UYGUNLUK ya da MAL
-DEĞERİ gibi garantileri de yoktur.  Daha fazla ayrıntı için GNU Genel
-Kamu Lisansını okuyun.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
 .PP
-GNU Genel Kamu Lisansının bir nüshasını programla birlikte almış
-olmalısınız, eğer almadıysanız Özgür Yazılım Vakfı'na 59 Temple Place,
-Suite 330, Boston, MA 02110\-1301, USA adresinden ulaşın.
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Lütfen hataları Jerome Alet \- alet@librelogiciel.com adresine mektupla bildirin
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/warnpykota.1
===================================================================
--- pykota/trunk/man/tr/warnpykota.1 (revision 2342)
+++ pykota/trunk/man/tr/warnpykota.1 (revision 2344)
@@ -2,72 +2,75 @@
 .TH WARNPYKOTA "1" "juillet 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.23alpha15_unofficial
+warnpykota \- page de manuel de warnpykota 1.23alpha16_unofficial
 .SH DESCRIPTION
-warnpykota v1.23alpha15_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
+warnpykota v1.23alpha16_unofficial (c) 2003, 2004, 2005 Jerome Alet \- alet@librelogiciel.com
 .PP
-Yazma kotası üzerinden kullanıcılara mektup gönderir.
+Sends mail to users over print quota.
 .PP
-komut satırı kullanımı :
+command line usage :
 .TP
 warnpykota
-[seçenekler]  [adlar]
+[options]  [names]
 .PP
-seçenekler :
+options :
 .TP
 \fB\-v\fR | \fB\-\-version\fR
-warnpykota'nın sürüm numarasını yaza ve çıkar.
+Prints warnpykota's version number then exits.
 .TP
 \fB\-h\fR | \fB\-\-help\fR
-Bu mesajı yazar ve çıkar.
+Prints this message then exits.
 .TP
 \fB\-u\fR | \fB\-\-users\fR
-Yazma kotası üzerindeki kullanıcıları uyarır, bu
-öntanımlıdır .
+Warns users over their print quota, this is the
+default.
 .TP
 \fB\-g\fR | \fB\-\-groups\fR
-Grupları yazma kotasının üzerinde olan kullanıcıları uyarır.
+Warns users whose groups quota are over limit.
 .TP
 \fB\-P\fR | \fB\-\-printer\fR p
-Sadece bu yazıcıyı denetler. p birkaç yazıcı
-seçmek için maske karakterlerini kullanabilir.
-Öntanımlı deıer *'dır, tüm yazıcılar anlamına
-gelir.
-Birden fazla ismi ya da maskeyi kullanabilirsiniz,
-onları virgül ile ayırarak kullanın.
+Verify quotas on this printer only. Actually p can
+use wildcards characters to select only
+some printers. The default value is *, meaning
+all printers.
+You can specify several names or wildcards,
+by separating them with commas.
 .PP
-örnekler :
+examples :
 .IP
 \f(CW$ warnpykota --printer lp\fR
 .IP
-Bu lp yazıcısı üzerinde yazma kotalarını geçmiş olan tüm kullanıcıları
-uyarır.
+This will warn all users of the lp printer who have exceeded their
+print quota.
 .IP
 \f(CW$ warnpykota\fR
+.TP
+This will warn all users
+who have exceeded their print quota on
 .IP
-Bu herhangi bir yazıcı üzerinde yazma kotasını geçmiş olan kullanıcıları
-uyarır.
+any printer.
 .IP
 \f(CW$ warnpykota --groups --printer "laserjet*" "dev*"\fR
 .IP
-Bu adı "dev" ile başlayan ve adı "laserjer" ile başlayan herhangi bir yazıcı
-üzerinde yazma kotasını geçmiş tüm kullanıcıları uyarır
+This will warn all users of groups which names begins with "dev" and
+who have exceeded their print quota on any printer which name begins
+with "laserjet"
 .IP
-Eğer PyKota yöneticisi olmayan birisi tarafından başlatılırsa, kullanıcı ve
-grup adlarını belirten isimler yoksayılır, ve sadece mevcut kullanıcı/grup
-belirtilir.
+If launched by an user who is not a PyKota administrator, additionnal
+arguments representing users or groups names are ignored, and only the
+current user/group is reported.
 .PP
-Bu program özgür yazılımdır; bu yazılımı Özgür Yazılım Vakfı tarafından
-yayınlanan GNU Genel Kamu Lisansı'nın 2. sürümü ya da (kendi
-tercihinize bağlı) sonraki sürümü şartları altında yeniden dağıtabilir
-ve/ya da değiştirebilirsiniz.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 .PP
-Bu program faydalı olacağı düşünülerek dağıtılmaktadır, fakat HİÇBİR
-GARANTİSİ YOKTUR; BELLİ BİR AMACA UYGUNLUK ya da MAL
-DEĞERİ gibi garantileri de yoktur.  Daha fazla ayrıntı için GNU Genel
-Kamu Lisansını okuyun.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
 .PP
-GNU Genel Kamu Lisansının bir nüshasını programla birlikte almış
-olmalısınız, eğer almadıysanız Özgür Yazılım Vakfı'na 59 Temple Place,
-Suite 330, Boston, MA 02110\-1301, USA adresinden ulaşın.
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
 .PP
-Lütfen hataları Jerome Alet \- alet@librelogiciel.com adresine mektupla bildirin
+Please report bugs to : Jerome Alet \- alet@librelogiciel.com